﻿using System;
using System.Collections.Generic;
using System.Text;

namespace WPFInterop
{
    public class RenderedFrameEventArgs : EventArgs
    {
        public IntPtr Buffer { get; private set; }
        public int BufferSize { get; private set; }
        public int Width { get; private set; }
        public int Height { get; private set; }

        internal RenderedFrameEventArgs(IntPtr pBuffer, int bufferSize, int width, int height)
        {
            Buffer = pBuffer;
            BufferSize = bufferSize;
            Width = width;
            Height = height;
        }
    }
}
